Bug 63096 - Mozilla is using zlib, which has bugs.
Mozilla is using zlib, which has bugs.
Product: Red Hat Linux
Classification: Retired
Component: mozilla (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Blizzard
Ben Levenson
: Security
Depends On:
  Show dependency treegraph
Reported: 2002-04-09 20:29 EDT by Yaroslav Klyukin
Modified: 2007-04-18 12:41 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-04-11 20:11:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Yaroslav Klyukin 2002-04-09 20:29:29 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:0.9.9) Gecko/20020311

Description of problem:
As far as i know, Mozilla is utilizing an old version of zlib, which has double
free bug.
I have tried tu update mozilla from mozilla.org, and i had success and i am
using it right now :) BUT! Galeon - GNOME browser, is not working, because it is
using mozilla rendering engine. Can you please update Mozilla and Galeon.

Best wishes!

Version-Release number of selected component (if applicable):

How reproducible:
Didn't try

Additional info:
Comment 1 Christopher Blizzard 2002-04-10 12:30:21 EDT
The mozilla rpms use the system zlib and as long as your system zlib is up to
date there shouldn't be any problems.  Plus, as of version 0.9.9 the zlib in the
mozilla tree is fixed as well.
Comment 2 Yaroslav Klyukin 2002-04-10 22:04:27 EDT
The problem is when i install Mozilla 0.9.9, Galeon stops working, because it
expects Mozilla 0.9.2.
Comment 3 Christopher Blizzard 2002-04-11 11:58:00 EDT
You need an updated galeon as well.
Comment 4 Yaroslav Klyukin 2002-04-11 20:11:26 EDT
That's what i am talking about!

I could not find Galeon update which supports Mozilla 0.9.9.
I think it does not exist. And if not, should be created.
Comment 5 Christopher Blizzard 2002-04-12 10:08:00 EDT
It exists in rawhide.

Note You need to log in before you can comment on or make changes to this bug.